#!/bin/bash

ASSET_ROOT=`cygpath -w ~/assets/rendertheme`
SOURCE_FILE=RenderTheme_AssetData.cpp
HEADER_FILE=RenderTheme_AssetData.h
DEFINE="extern unsigned char"

#
# Input files
# (order and length must be identical with array below)
#
FILES=(
"$ASSET_ROOT/media/muteButton.png" \
"$ASSET_ROOT/media/pauseButton.png" \
"$ASSET_ROOT/media/playButton.png" \
"$ASSET_ROOT/skin/bmp/Button/Disabled.bmp" \
"$ASSET_ROOT/skin/bmp/Button/Normal.bmp" \
"$ASSET_ROOT/skin/bmp/Button/Pressed.bmp" \
"$ASSET_ROOT/skin/bmp/CheckBox/Checked.bmp" \
"$ASSET_ROOT/skin/bmp/CheckBox/CheckedDisabled.bmp" \
"$ASSET_ROOT/skin/bmp/CheckBox/Unchecked.bmp" \
"$ASSET_ROOT/skin/bmp/CheckBox/UncheckedDisabled.bmp" \
"$ASSET_ROOT/skin/bmp/MenuListButton/Disabled.bmp" \
"$ASSET_ROOT/skin/bmp/MenuListButton/Focused.bmp" \
"$ASSET_ROOT/skin/bmp/MenuListButton/Normal.bmp" \
"$ASSET_ROOT/skin/bmp/RadioButton/Checked.bmp" \
"$ASSET_ROOT/skin/bmp/RadioButton/CheckedDisabled.bmp" \
"$ASSET_ROOT/skin/bmp/RadioButton/Unchecked.bmp" \
"$ASSET_ROOT/skin/bmp/RadioButton/UncheckedDisabled.bmp" \
)

#
# Names associated with above input files
# (order and length must be identical with array above)
#
NAMES=(
muteButtonPng \
pauseButtonPng \
playButtonPng \
buttonDisabledBmp \
buttonNormalBmp \
buttonPressedBmp \
checkBoxCheckedBmp \
checkBoxCheckedDisabledBmp \
checkBoxUncheckedBmp \
checkBoxUncheckedDisabledBmp \
menuListButtonDisabledBmp \
menuListButtonFocusedBmp \
menuListButtonNormalBmp \
radioButtonCheckedBmp \
radioButtonCheckedDisabledBmp \
radioButtonUncheckedBmp \
radioButtonUncheckedDisabledBmp \
)

#
# Build up data conversion command while writing the header file
#
BUILDCMD="$GHS_ROOT/gbin2c -o $SOURCE_FILE"
echo "// Data arrays generated automatically" > $HEADER_FILE
for ((i=0; i < ${#FILES[@]}; i++))
do
	BUILDCMD="$BUILDCMD ${FILES[$i]} -array_name ${NAMES[$i]} -unsigned -noconst"
	echo $DEFINE "${NAMES[$i]}["`stat -c %s ${FILES[$i]}`"];" >> $HEADER_FILE
done

#
# Convert the data
#
$BUILDCMD

