#ifndef CONFIG_H
#define CONFIG_H

/**
	This namespace is for holding onto settings from config.xml
*/
#include <string>

namespace LibPlatform 
{
    struct DisplayRemapInfo
    {
        int srcX;
        int srcY;
        int srcWidth;
        int srcHeight;
        int dstX;
        int dstY;
        int dstWidth;
        int dstHeight;
    };

	namespace ApplicationConfig 
	{
		void SetMediaPlayer(int mediaPlayer);
		int GetMediaPlayer();
        void SetTVDisplayDimensions(int TVDisplayWidth, int TVDisplayHeight);
        void GetTVDisplayDimensions(int &outTVDisplayWidth, int &outTVDisplayHeight);
        void SetExtendedDOMSize(int DOMWidth, int DOMHeight);
        void GetExtendedDOMSize(int &outDOMWidth, int &outDOMHeight);
        void SetExtendedDisplay(bool extendedDisplay);
        bool GetExtendedDisplay();
		void SetIsServiceApplication(bool serviceApp);
        bool GetIsServiceApplication();
		void SetNEXGameServerID(int serverID);
		int GetNEXGameServerID();
		void SetNEXAccessKey(const wchar_t * accessKey);
		std::wstring GetNEXAccessKey();
        void SetTVRemapInfo(int srcX, int srcY, int srcWidth, int srcHeight, int dstX, int dstY, int dstWidth, int dstHeight);
        void SetGP0RemapInfo(int srcX, int srcY, int srcWidth, int srcHeight, int dstX, int dstY, int dstWidth, int dstHeight);
        const DisplayRemapInfo* GetTVRemapInfo();
        const DisplayRemapInfo* GetGP0RemapInfo();
        bool IsTVRemapDirty();
        bool IsGP0RemapDirty();
	}
}

#endif//CONFIG_H
